Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class SubjectLocality

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SubjectLocality`

public class SubjectLocality
extends oracle.security.xmlsec.util.XMLElement

Element specifying the DNS domain name and/or the IP address of a system entity.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`SubjectLocality(org.w3c.dom.Document owner)` Creates a new `SubjectLocality` instance.
`SubjectLocality(org.w3c.dom.Element element)` Creates a new `SubjectLocality` instance from the given Element node.
`SubjectLocality(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `SubjectLocality` instance from the given Element node.

Method Summary
`java.lang.String` | `getDNSAddress()` Gets the DNS domain name attribute.
`java.lang.String` | `getIPAddress()` Gets the IP address attribute.
`void` | `setDNSAddress(java.lang.String dnsAddress)` Sets the DNS domain name attribute.
`void` | `setIPAddress(java.lang.String ipAddress)` Sets the IP address attribute.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectLocality

    public SubjectLocality(org.w3c.dom.Element element)
                    throws org.w3c.dom.DOMException

  Creates a new `SubjectLocality` instance from the given Element node.
Parameters:
  `element` - A SubjectLocality element.

### SubjectLocality

    public SubjectLocality(org.w3c.dom.Element element,
                           java.lang.String SystemId)
                    throws org.w3c.dom.DOMException

  Creates a new `SubjectLocality` instance from the given Element node.
Parameters:
  `element` - A SubjectLocality element.

### SubjectLocality

    public SubjectLocality(org.w3c.dom.Document owner)
                    throws org.w3c.dom.DOMException

  Creates a new `SubjectLocality` instance.
Parameters:
  `owner` - The owner document of the new SubjectLocality.

Method Detail

### setIPAddress

    public void setIPAddress(java.lang.String ipAddress)

  Sets the IP address attribute.
  Parameters:
    `ipAddress` - The String representation of an IP address.

### getIPAddress

    public java.lang.String getIPAddress()

  Gets the IP address attribute.
  Returns:
    The String representation of the IP address or `null` if the attribute has not been set.

### setDNSAddress

    public void setDNSAddress(java.lang.String dnsAddress)

  Sets the DNS domain name attribute.

### getDNSAddress

    public java.lang.String getDNSAddress()

  Gets the DNS domain name attribute.
  Returns:
    The String representation of the DNS domain name or `null` if the attribute has not been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.